#!/bin/sh -e

export CFLAGS="$CFLAGS -fPIC"
export CXXFLAGS="$CFLAGS"
export DESTDIR="$1"

cmake -S . -B build \
    -DCMAKE_INSTALL_PREFIX=/usr \
    -DCMAKE_BUILD_TYPE=None \
    -DOPTION_BUILD_SHARED_LIBRARIES=ON \
    -DFLTK_BUILD_TEST=OFF \
    -DOPTION_USE_XINERAMA=OFF \
    -DOPTION_BUILD_HTML_DOCUMENTATION=OFF \
    -DOPTION_BUILD_PDF_DOCUMENTATION=OFF

cmake --build build
cmake --install build
